"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.basicAuthentication = void 0;

var _ramda = require("ramda");

const basicAuthentication = credentials => {
  if ((0, _ramda.isEmpty)(credentials)) {
    return null;
  }

  const parameters = Buffer.from(`${credentials.username}:${credentials.password}`).toString('base64');
  return `Basic ${parameters}`;
};

exports.basicAuthentication = basicAuthentication;