"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.restSpecification = exports.MEDIA_TYPES = void 0;
const restSpecification = {
  operation: (registry, endpoint) => `https://${registry}/v2/${endpoint}`,
  getManifest: (repository, tag) => `${repository}/manifests/${tag}`
};
exports.restSpecification = restSpecification;
const MEDIA_TYPES = {
  FAT_MANIFEST: 'application/vnd.docker.distribution.manifest.list.v2+json'
};
exports.MEDIA_TYPES = MEDIA_TYPES;